<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Stock](./bitburner.stock.md) &gt; [purchase4SMarketData](./bitburner.stock.purchase4smarketdata.md)

## Stock.purchase4SMarketData() method

Purchase 4S Market Data UI access (UI only).

You need to have a WSE account. Note that this feature only unlocks access to 4S Market Data in the Stock Market UI. If you want to access 4S Market Data via NS APIs, you have to unlock "4S Market Data TIX API access" via [purchase4SMarketDataTixApi](./bitburner.stock.purchase4smarketdatatixapi.md)<!-- -->, which is unrelated to this feature.

**Signature:**

```typescript
purchase4SMarketData(): boolean;
```
**Returns:**

boolean

True if you successfully purchased it or if you already have access, false otherwise.

## Remarks

RAM cost: 2.5 GB

